%define anolis_release 1

%global pypi_name ruamel.yaml.clib
%global pname ruamel-yaml-clib
%global hash 85e484db2b7c37107e4edd2ae6fc380877bbc08e

Name:           python-%{pname}
Version:        0.2.6
Release:        %{anolis_release}%{?dist}
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml

License:        MIT
URL:            https://bitbucket.org/ruamel/yaml.clib
Source0:        https://sourceforge.net/code-snapshots/hg/r/ru/ruamel-yaml-clib/code/ruamel-yaml-clib-code-%{hash}.zip

BuildRequires:  gcc
BuildRequires:  libyaml-devel

%description
It is the C based reader/scanner and emitter for ruamel.yaml.

%package -n     python3-%{pname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython

Requires:       python3-setuptools
Requires:       python3-ruamel-yaml

%description -n python3-%{pname}
It is the C based reader/scanner and emitter for ruamel.yaml.

%prep
%autosetup -n %{pname}-code-%{hash}
# Force regenerating C files from Cython sources
rm -v $(grep -rl '/\* Generated by Cython')

%build
# cython refuses to cythonize a file in a directory that cannot be a Python module ¯\_(ツ)_/¯
mkdir ruamel.yaml.clib
mv *.pyx ruamel.yaml.clib
cythonize -3 ruamel.yaml.clib/*.pyx
mv ruamel.yaml.clib/* .
rmdir ruamel.yaml.clib

%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root $RPM_BUILD_ROOT

%files -n python3-%{pname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/_ruamel_yaml.cpython-*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 0.2.6-1
- Init pcakage from upstream
